TQScintilla: TQextScintillaLexerMakefile Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerMakefile Class Reference

The TQextScintillaLexerMakefile class encapsulates the Scintilla Makefile lexer. More...

`#include <tqextscintillalexermakefile.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- Preprocessor = 2
- Variable = 3
- Operator = 4
- Target = 5
- Error = 9
- enum {
  Default = 0, Comment = 1, Preprocessor = 2,
  Variable = 3, Operator = 4, Target = 5,
  Error = 9
  }

## Public Member Functions

- TQextScintillaLexerMakefile (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerMakefile ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- TQString description (int style) const
- TQColor paper (int style) const

## Detailed Description

The TQextScintillaLexerMakefile class encapsulates the Scintilla Makefile lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Makefile lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Preprocessor | A pre-processor directive.
  Variable | A variable.
  Operator | An operator.
  Target | A target.
  Error | An error.

## Constructor & Destructor Documentation

TQextScintillaLexerMakefile::TQextScintillaLexerMakefile | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerMakefile with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerMakefile::~TQextScintillaLexerMakefile | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerMakefile instance.

## Member Function Documentation

const char* TQextScintillaLexerMakefile::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerMakefile::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerMakefile::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerMakefile::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexer.

TQFont TQextScintillaLexerMakefile::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerMakefile::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerMakefile::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexer.